/*
 *                            *
 *                           * *
 *                          *   *
 *                     ***************
 *                      * *       * *
 *                       *  MUMPS  *
 *                      * *       * *
 *                     ***************
 *                          *   *
 *                           * *
 *                            *
 *
 *   fma_globals.h
 *    FreeM Administrative Tool - Globals
 *
 *  
 *   Author: John P. Willis <jpw@coherent-logic.com>
 *    Copyright (C) 1998 MUG Deutschland
 *    Copyright (C) 2020 Coherent Logic Development LLC
 *
 **/

#if !defined(_FMA_GLOBALS_H)
#define _FMA_GLOBALS_H

#define FALSE   0
#define TRUE    1

#define g_EOL 30
#define POINT 28
#define MINUS 26

#define ROOT 1L
    /* length of blocks. status bytes defined as offset to blocklength */
#define BLOCKLEN 1024
#define DATALIM (BLOCKLEN-11)
#define LLPTR   (BLOCKLEN-10)
#define NRBLK    LLPTR
#define RLPTR   (BLOCKLEN- 6)
#define FREE     RLPTR
#define BTYP    (BLOCKLEN- 3)
#define OFFS    (BLOCKLEN- 2)

#define EMPTY    0
#define FBLK     1
#define POINTER  2
#define BOTTOM   6
#define DATA     8

#define LF      10
#define CR      13

#define NUL      0
#define DEL    127

int fma_globals_list (int optc, char **opts);
int fma_globals_remove (int optc, char **opts);
int fma_globals_examine (int optc, char **opts);

#endif